#pragma once
#include <map>
struct Fish_SeniorDrawCFGData
{
	//编号
	int mID;
	//鱼ID
	int mFishId;
	//图形ID
	std::vector<int> mGraphicalId;
	//倍率
	int mmult;
	//抽中权重
	int mLotteryProbability;
};

class Fish_SeniorDrawCFG
{
public:
private:
	static std::auto_ptr<Fish_SeniorDrawCFG> msSingleton;
public:
	int GetCount();
	const Fish_SeniorDrawCFGData* GetData(int ID);
	const std::map<int, Fish_SeniorDrawCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_SeniorDrawCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_SeniorDrawCFGData> mMapData;
};
